#
# spec file for package wireless-tools (Version 27pre12)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  openssl-devel sharutils

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool openssl-devel perl rpm sharutils

Name:         wireless-tools
%define kernel_version  %(uname -r)
%define kernel_version_  %(uname -r|tr - _)
%define at76_version 0.12beta9
%define madwifi_version 20040309
%define wlanng_version 0.2.1-pre20
%define acx_version 0.2.0pre7
%define ipw2100_version 0.42
Summary:      Tools for a wireless LAN
Version:      27pre12
Release:      39.9
Group:        Hardware/Other
License:      LGPL, Unknown
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
#Provides:
#Requires:    
#Conflicts:   
URL:          http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/Tools.html
Autoreqprov:  on
Source:       wireless_tools.27.pre12.tar.bz2
Patch:        wireless_tools.dif
Source2:      at76c503-%{at76_version}-fwdl.tar.bz2
Patch2:       at76c503.dif
Patch3:       at76c503-build_fix.dif
Patch33:      at76c503-biarch-fix.dif
Source4:      madwifi-%{madwifi_version}.tar.bz2
Patch4:       madwifi.dif
Source6:      linux-wlan-ng-%{wlanng_version}.tar.bz2
Patch6:       linux-wlan-ng.dif
Source7:      linux-wlan-ng.config
Source8:      linux-wlan-ng-mkversionh.sh
Source9:      linux-wlan-ng-kmakefiles.tar.gz
Patch9:       linux-wlan-ng-sysfs-fix.dif
Source10:     acx100-%{acx_version}.tar.bz2
Patch10:      acx100.dif
Patch12:      acx100-sysfs-fix.dif
Source11:     ipw2100-%{ipw2100_version}.tar.bz2
Patch11:      ipw2100.dif
Source20:     suse-files.tar.gz
Patch20:      madwifi-ibm_led.dif
Patch21:      madwifi-sysfs-fix.dif
Patch22:      madwifi-ath_init-fix.dif
Patch23:      madwifi-led-fix.dif
Patch24:      madwifi-badness-fix.dif
Patch30:      fix-km-build.diff
Source30:     atmel.conf

%description
This package contain the wireless tools, used to manipulate the
wireless extensions. The wireless extension is an interface that allows
you to set wireless LAN specific parameters and get specific stats.



Authors:
--------
    Jean Tourrilhes <jt@hpl.hp.com>

%package -n km_wlan
Group:        Development/Sources
License:      GPL, Other License(s), see package
Summary:      Drivers for Wireless LAN Cards

%description -n km_wlan
This package contains sources for various WLAN drivers (at76c503,
atmelwlandriver, and madwifi).



Authors:
--------
    Oliver Kurth <oku@masqmail.cx> (at76c503)
    Sam Leffler <sam@errno.com> (madwifi)
    Various authors

%prep
%setup2 -T -b 2 -n at76c503-%{at76_version}-fwdl
%patch2
%patch3
%patch33
%ifarch %ix86
%setup4 -T -b 4 -n madwifi-%{madwifi_version}
%patch4
%patch20
%patch21
%patch22
%patch23
%patch24
%endif
%setup6 -q -T -b 6 -n linux-wlan-ng-%{wlanng_version}
%patch6
%patch9
%setup10 -q -T -b 10 -n acx100-%{acx_version}
%patch10
%patch12
%setup11 -q -T -b 11 -n ipw2100-%{ipw2100_version}
%patch11
%setup -q -n wireless_tools.27
%patch

%build
rm -f /usr/src/linux/.config
%configure_kernel_source
test -e /lib/modules/`uname -r`/build || {
	mkdir -p /lib/modules/`uname -r` ;
  ln -sf /usr/src/linux-`uname -r | cut -d- -f-2` \
		/lib/modules/`uname -r`/build ; }
make all
# configure source without modules
cp -a %{SOURCE7} ../linux-wlan-ng-%{wlanng_version}/config.mk
cp -a %{SOURCE8} ../linux-wlan-ng-%{wlanng_version}/mkversionh.sh
(cd ../linux-wlan-ng-%{wlanng_version} ; ./mkversionh.sh )
for i in wlanctl wland nwepgen mkmeta wlancfg ; do
	make -C ../linux-wlan-ng-%{wlanng_version}/src/$i
done
make -C ../linux-wlan-ng-%{wlanng_version}/add-ons/lwepgen
make -C ../linux-wlan-ng-%{wlanng_version}/add-ons/keygen
%ifarch %ix86
# we do the decoding of the uuencoded hal now because we
# do not have uudecode in the kernel build
make -C ../madwifi-%{madwifi_version}/ath_hal hal.o
%endif

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/etc/pcmcia
mkdir -p %{buildroot}/usr/src/kernel-modules
mkdir -p %{buildroot}/%{_sbindir}
mkdir -p %{buildroot}/sbin
make	INSTALL_DIR="${RPM_BUILD_ROOT}/%{_sbindir}" \
	INSTALL_INC="${RPM_BUILD_ROOT}/%{_includedir}" \
	INSTALL_LIB="${RPM_BUILD_ROOT}/%{_libdir}" \
	INSTALL_MAN="${RPM_BUILD_ROOT}/%{_mandir}" \
	DOCDIR=%{_defaultdocdir}/wireless-tools \
	PREFIX="${RPM_BUILD_ROOT}/usr" \
	install
install -m 755 ../linux-wlan-ng-%{wlanng_version}/add-ons/keygen/keygen %{buildroot}/%{_sbindir}
install -m 755 ../linux-wlan-ng-%{wlanng_version}/add-ons/lwepgen/lwepgen %{buildroot}/%{_sbindir}
for i in etc man src/wlanctl src/wland src/nwepgen src/mkmeta src/wlancfg ; do
    make -C ../linux-wlan-ng-%{wlanng_version}/$i TARGET_ROOT_ON_HOST=%{buildroot} TARGET_INST_EXEDIR=%{buildroot}/sbin install
done
install -m 644 %{SOURCE30} $RPM_BUILD_ROOT/etc/pcmcia/atmel-suse.conf
# need to clean up the sources for the module build
make -C ../linux-wlan-ng-%{wlanng_version} clean
( cd ../linux-wlan-ng-%{wlanng_version} ; ./mkversionh.sh )
%ifarch %ix86
# copy driver sources
cp -a ../madwifi-%{madwifi_version} %{buildroot}/usr/src/kernel-modules
patch -d %{buildroot}/usr/src/kernel-modules/madwifi-%{madwifi_version} \
	-p1 < %_sourcedir/fix-km-build.diff
cp -a ../acx100-%{acx_version} %{buildroot}/usr/src/kernel-modules
%endif
%ifarch %ix86 x86_64
cp -a ../linux-wlan-ng-%{wlanng_version} %{buildroot}/usr/src/kernel-modules
tar xvzf %{SOURCE9} \
   -C %{buildroot}/usr/src/kernel-modules/linux-wlan-ng-%{wlanng_version}
%endif
find %{buildroot}/usr/src/kernel-modules -name .cvsignore -or -name CVS -or -name \*.orig | xargs -r rm -rf
rm -f ../ipw2100-%{ipw2100_version}/*orig
cp -a ../ipw2100-%{ipw2100_version} %{buildroot}/usr/src/kernel-modules
cp -a ../at76c503-%{at76_version}-fwdl %{buildroot}/usr/src/kernel-modules
tar xvvzf %{SOURCE20}
install -m755 install_intersil_firmware %{buildroot}/usr/sbin
install -m755 install_acx100_firmware %{buildroot}/usr/sbin
## Test km_ build if kernel-source is available
#if [ -e /usr/src/linux/Makefile.suse ]; then
#  for i in %{buildroot}/usr/src/kernel-modules/* ; do
#    ( make -C $i -f /usr/src/linux/Makefile.suse modules ; exit 0; )
#    make -C $i -f /usr/src/linux/Makefile.suse clean
#  done
#fi

%clean
test -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/sbin/*
%{_sbindir}/*
%{_libdir}/*
%{_includedir}/*
%dir /etc/pcmcia
%dir /etc/wlan
/etc/wlan/shared
%config(noreplace) /etc/wlan/wlan*
%config /etc/pcmcia/*
%doc %attr(644,root,root) %{_mandir}/man1/*
%doc %attr(644,root,root) %{_mandir}/man7/*
%doc %attr(644,root,root) %{_mandir}/man8/*
%doc CHANGELOG.h INSTALL PCMCIA.txt README README.firmware

%files -n km_wlan
%dir /usr/src/kernel-modules
/usr/src/kernel-modules/*

%changelog -n wireless-tools
* Wed May 05 2004 - jg@suse.de
- fixed build problems with ipw2100 (did not find hostap-driver
  source while building kernel)
* Tue May 04 2004 - jg@suse.de
- update ipw2100 driver to 0.42 (includes WEP support now),
  from CHANGES (slightly shortened):
  * Test fix for WEP/SSL stalls.
  * Test fix for CONFIG_IP_NF_CONNTRACK hang/oops/crash (Badness in
  local_bh_enable)
  * Added fix to kill hang check timer if initialization fails
  * Fixed ipw2100_power_cycle_adapter to use write_register
  instead of write_nic_dword
  * If CONFIG_IPV6 is defined then we don't turn on the multicast
  filter. This should allow IPv6 to work with the IPW2100
  * Fixed AP beacon code to correctly update AP information when a
  new beacon with a matching BSSID is received
  * Fixed Rx error cleanup code
  * Fixed "off by two orders of magnitude" bug on the timeout and
  period power values (seen if you use iwlist power)
  * Added wireless extension power management control
  * Added wireless extension delayed event to fetch the BSSID from
  the firmware
  * Fixed module parameters for ipw2100 and the SW switch modules
  * Fixed fetching of wireless values when RF switch is off
  * Fixed problem with ESSID setting code if NULL provided
  * Added WEP range getting support
  * Added some queue statistics to
  /proc/net/ipw2100/[if_name]/internals
  * Improved driver restart capabilities.  If the firmware is
  restarted it should now be able to reconfigure WEP keys,
  associated ESSID, etc.
  * Fixed problem with the if_name parameter
  * Fixed WEP Rx failure code path
  * Tx/Rx packets are both correctly accounted for via ifconfig
  * Fixed support for OPEN and SHARED KEY authentication modes
  with WEP enabled
  * Added full WEP authentication
  * Added ieee80211.c and ieee80211_wx.c as generic implementations
  of more ieee80211 frame handling.  These are based on code from
  the Host AP project.
  * Added rate/bitrate, channel/frequency support for iwlist
  * Fixed AP scanning to use Probe Response frames vs. Beacon
  frames for collecting APs from a scan
  * Added code such that if commands fail to be sent, a firmware
  restart is scheduled.
  * Packets are only processed if the interface is up
  * Tx queue is flushed when interface is closed
* Wed Apr 21 2004 - jg@suse.de
- fixed at76c503 build for biarch (bug 39105)
- fixed madwifi kernel badness on module unload (bug 37352)
- improved madwifi LED control
* Thu Apr 15 2004 - agruen@suse.de
- Fix abuse of kbuild (.tmp_versions hack).
* Wed Apr 07 2004 - meissner@suse.de
- The ipw modules need to include linux/init.h because they use
  __init.
* Mon Apr 05 2004 - jg@suse.de
- installing atmel.conf as /etc/pcmcia/atmel-suse.conf to prevent
  conflict with atmel.conf of atmel-firmware package
* Sat Apr 03 2004 - jg@suse.de
- fixed sysfs support in linux-wlan-ng drivers (bug #37278)
- fixed sysfs support in acx100 driver
* Fri Apr 02 2004 - jg@suse.de
- fixed oops in madwifi driver (bug #37944)
- added /etc/pcmcia/atmel.conf so driver for Atmel based pc-cards
  will be loaded (bug #37905)
* Wed Mar 31 2004 - jg@suse.de
- typo fix in install_intersil_firmware
* Tue Mar 30 2004 - jg@suse.de
- skip building of at76c503 when CONFIG_NET_WIRELESS is unset
  (bug #37450)
* Mon Mar 29 2004 - agruen@suse.de
- Fix external kernel module build (unresolved symbols).
* Mon Mar 29 2004 - jg@suse.de
- re-added at76c503 driver (Atmel USB adapters)
- updated Intel PRO/Wireless 2100 driver to 0.39 (shortened):
  * Fixed suspend/resume support C3 issue
  * Moved timer kill to ipw2100_down from the exit routine to stop
  timers when the interface goes down
  * Modified range settings for quality and level
  * Added /proc/net/ipw2100/[if_name]/internals to display some
  internal variables to help track issues.
* Fri Mar 26 2004 - jg@suse.de
- updated Intel PRO/Wireless 2100 driver to 0.38 (shortened):
  * Added SW RF Kill switch support for Packard Bell EasyNote E5
  * Fixed RSSI to DBM constant from 98 to 90
  * Added patch for quality metrics in /proc/net/wireless
  * Refactored the start/stop code into ipw2100_up / down, and
  hooked the code into the suspend/resume code.
  * Added a 2s heartbeat timer to the firmware; if the RTC
  stalls then a reset is performed.
  * Fixed ISR code to use a tasklet instead of scheduled work
  (fixes 'hw_command_send timed out' during firmware restart)
  * Added 'firmware resets' and 'firmware hangs' counters to
  /proc/net/ipw2100/[if_name]/stats
  * Fixed /proc/net/ipw2100 cleanup on exit
  * Added initial eth_tool support for link detection
  * Switched ISR code to a scheduled work item
  * Fixed pci_free_consistent bug in ipw2100_msg_free
  * Added dumping of status structure if payload size reported
  to be greater than allowable 802_11 payload size.
  * Added firmware restart on bogus payload size
- added section about Atmel cards in README.firmware
- removed prism54 driver (is now part of linux kernel)
- fixed sysfs support in madwifi
* Fri Mar 19 2004 - jg@suse.de
- updated Intel PRO/Wireless 2100 driver to 0.35:
  * Added wireless extension get range support
  * Added /proc/net/ipw2100/[if_name]/{ordinals,hw,registers,pci}
  for dumping various pieces of data.
  * Code cleanup in a couple spots
  * Removed max transit unit (MTU) check in isr_rx (should fix MTU
  conflict some users are seeing)
  * Modified code path so that if wake_up_sync is not defined,
  we define wake_up_interruptible_sync to wake_up_interruptible
  so that the __wake_up_sync patch is no longer needed.
  * Added initial start for suspend/resume (thanks to Len Brown).
* Fri Mar 19 2004 - jg@suse.de
- removing .orig files before packaging
* Thu Mar 18 2004 - jg@suse.de
- updated Intel PRO/Wireless 2100 driver to 0.34:
  * ACPI C3 conflict resolved
  * Added HW register and PCI configuration data dump entries to
  proc/net/ipw2100/[if_name]/{hw,pci}
  * Added hotplug firmware loading support
  * Added interface name module parameter (if_name)
  * Added port IO debug output for tracing IO to the actual
  hardware (IPW2100_DEBUG_IO)
  * Moved proc info into /proc/net/ipw2100 from /proc/ipw2100
  * Added support for /proc/net/wireless (thanks to Luc Saillard).
- madwifi (madwifi-ibm_led.dif):
  added support for WLAN LED on IBM Thinkpads
* Tue Mar 16 2004 - jg@suse.de
- fixed typo in install_intersil_firmware
- changed initial mac address to 00:00:00:00:00:00 so our tools
  can identify the address as a dummy (prism54)
* Mon Mar 15 2004 - jg@suse.de
- updated Intel PRO/Wireless 2100 driver to 0.32:
  * Added support for toggling RF switch
  * Added IPW2100_DEBUG_RF_KILL to monitor RF transitions in debug
  log
  * Fixed module fault on iwconfig ethX nick (thanks Radu Graeb)
  * Hardware reset now supported
  * Support for hardware reset in response to fatal_interrupt
  * proc oops fixed (thanks to Radu Greab)
  * Fixed problem with dev->mem_end being set incorrectly
  * Fixed oops with accesing some iwconfig query commands while the
  driver is uninitialized.
- added README.firmware
- added scripts for easy installation of Intersil PrismGT and
  ACX100 firmware files
* Fri Mar 12 2004 - jg@suse.de
- added driver for Intel PRO/Wireless 2100 card (aka Centrino)
* Wed Mar 10 2004 - jg@suse.de
- disabled all drivers for um-kernel
* Tue Mar 09 2004 - ro@suse.de
- kmakefiles: don't build for um-kernel
* Tue Mar 09 2004 - jg@suse.de
- updated madwifi driver to current cvs (fixes incompatibility
  with CONFIG_REGPARM, bug #34140)
- readded accidentally removed acx100 driver
- using orinoco_cs as default driver for Netgear MA401RA (seems
  to be much more reliable)
* Mon Mar 01 2004 - meissner@suse.de
- fix for lib64 platforms.
* Mon Mar 01 2004 - jg@suse.de
- update linux-wlan-ng to 0.2.1pre20:
- limited support for wireless extensions
- some driver fixes
- rewrote driver makefiles for linux-wlan-ng
- building lwepgen and keygen again (nwepgen is not very useful
  for 104 bit keys)
- fixed linux-wlan-ng mkversionh script
- added acx100 driver (for Texas Instruments ACX1xx chipsets)
- update to latest prism54 cvs snapshot
- various makefile fixes
- disabled madwifi driver (crashes on init)
* Mon Feb 09 2004 - jg@suse.de
- update linux-wlan-ng to 0.2.1pre17:
- x86-64 support
- basic ethtool support
- support for Netgear MA311 PCI card
- some fixes/cleanup (see CHANGES file)
- building tools from linux-wlan-ng also for non-x86
  (they are needed even so the drivers are not available)
- not building lwepgen and keygen anymore (nwepgen does
  the job already)
- using /lib/modules/`uname -r`/lib instead of /usr/src/linux
  for accessing kernel source in linux-wlan-ng
* Thu Feb 05 2004 - ro@suse.de
- fix filelist for non-x86
* Mon Feb 02 2004 - jg@suse.de
- update wireless-tools to version 27.pre9, changes:
  o Trivial cleanups and docs updates
  o Implement "iwconfig XXX txpower on" and fix "fixed" [iwconfig]
  o Always properly initialise sanlen before recvfrom() [iwevent]
  o Zero buffer so we don't print garbage after essid [iwgetid]
  o Document that 00:00:00:00:00:00 == no association [iwconfig.8]
  (From Guus Sliepen <guus@sliepen.eu.org>)
  o Fix doc typo : ad_hoc => ad-hoc [wireless.7/DISTRIBUTIONS.txt]
- some specfile cleanups
- added /sbin binaries  to filelist
* Thu Jan 29 2004 - jg@suse.de
- removed linux-wlan-ng and madwifi directories from km_wlan
  filelist for ppc
* Mon Jan 26 2004 - jg@suse.de
- removed dependency on kernel-source
* Fri Jan 23 2004 - jg@suse.de
- changed kernel-source-26 to kernel-source in neededforbuild
  (left over from test build)
* Fri Jan 23 2004 - jg@suse.de
- build linux-wlan-ng only on ix86
- ported linux-wlan-ng to new pcmcia cardservices interface
  (needed for kernel 2.6)
- removed accidentally readded depmod command
- changed interface name of prism54 driver to wlanX
* Wed Jan 21 2004 - jg@suse.de
- removed unneeded k_deftl from neededforbuild
- added prism54 driver
- more preparations for kernel 2.6
* Thu Jan 08 2004 - jg@suse.de
- updated wireless-tools to version 27pre7 (minor fixes,
  also for bug #33112)
- updated madwifi to latest cvs
- removed atmel drivers (may get added again later)
- package km_wlan should be ready for kernel 2.6
* Wed Oct 15 2003 - jg@suse.de
- updated madwifi to latest cvs version (fixes 802.11b mode
  support)
* Fri Sep 12 2003 - ro@suse.de
- configure kernel-source if needed
* Mon Sep 08 2003 - agruen@suse.de
- km_wlan-HZ.diff: Adapt to dynamic-hz kernel patch.
* Fri Aug 22 2003 - jg@suse.de
- updated madwifi to latest cvs version (should fix some
  transmit timeout errors)
- merged patches wireless_tools.26.dif and wireless_tools-wext.dif
* Mon Aug 18 2003 - jg@suse.de
- added genwepkey utility to generate 128bit WEP keys
* Thu Aug 14 2003 - jg@suse.de
- updated madwifi to latest cvs version (fixes possible kernel
  crash on module loading)
* Mon Aug 11 2003 - jg@suse.de
- updated madwifi to version 20030802
* Fri Jul 25 2003 - jg@suse.de
- removing object files before packaging km_wlan so no
  unneccesary dependencies get created
* Thu Jul 24 2003 - jg@suse.de
- removed 'depmod' call from madwifi Makefile
- merged km_atmel and km_madwifi to km_wlan
* Wed Jul 16 2003 - jg@suse.de
- update wireless tools to version 26
- update atmelwlandriver to version 2.1.2.2
- update at76c503 to version 0.10
- added madwifi driver (version 20030702)
- added /etc/pcmcia/atmel.conf to filelist
* Tue Jun 17 2003 - ro@suse.de
- added directory to filelist
* Tue Jun 03 2003 - jg@suse.de
- update atmelwlandriver to version 20030602
- update at76c503 driver to version 0.9
* Tue May 27 2003 - ro@suse.de
- add wireless.7 to filelist
* Wed Feb 26 2003 - jg@suse.de
- compiling against kernel source now which prevents a wireless
  extension version mismatch
- changed group of km_atmel to Development/Sources (seems to
  be more common)
* Mon Feb 24 2003 - jg@suse.de
- added lvnet from the atmelwlandriver package
- added wlan driver packages atmelwlandriver and at76c503 as
  subpackage km_atmel
* Fri Jan 10 2003 - jg@suse.de
- update to version 25 (lots of changes, see CHANGELOG.h)
* Fri Jun 21 2002 - ro@suse.de
- use -fPIC to build shared lib
* Mon Feb 11 2002 - grimmer@suse.de
- update to version 23
  * Split iw_check_addr_type() into two functions mac/if [iwlib]
  * iw_in_addr() does appropriate iw_check_xxx itself  [iwlib]
  * Allow iwspy on MAC address even if IP doesn't check [iwspy]
  * Allow iwconfig ap on MAC address even if IP doesn't check [iwconfig]
  * Fix iwlist man page about extra commands [iwlist]
  * Fix Makefile rules for library compile (more generic) [Makefile]
  * Set max length for all GET request with a iw_point [various]
  * Fix set IW_PRIV_TYPE_BYTE to be endian/align clean [iwpriv]
  * Add '/' at the end of directories to create them [Makefile]
  * Replace "cp" with "install" to get permissions proper [Makefile]
  * Install Man-Pages at the proper location [Makefile]
  * Add automatic header selection based on libc/kernel [iwlib.h]
  * Add "commit" to force parameters on the card [iwconfig]
  * Wrap ioctl() in iw_set/get_ext() wrappers [all]
  * Beautify set request error messages [iwconfig]
- re-diffed patch
- added INSTALL to docu files
* Tue Dec 11 2001 - bjacke@suse.de
- add manpages and %%clean
* Mon Dec 10 2001 - bjacke@suse.de
- move progs from bin to sbin
- add missing iwlist and iwgetid
- mark documentation as %%doc
- update to 22
- add include and library files
* Tue Aug 21 2001 - zoz@suse.de
- update to version 21
  * Improved power management support
  * Transmit Power parameter
  * Better Makefile, header options can be set there
  * Support for GLibc2.2
  * Check Wireless Extension version mismatch
  * Retry settings
  * Split iwspy into iwspy and iwlist
* Fri Feb 09 2001 - ro@suse.de
- fixed to compile
* Sun Dec 03 2000 - zoz@suse.de
- initial package
- xwireless omitted
